FROM python:3-alpine

RUN apk add --no-cache \
        build-base \
        libxml2 \
        libxslt \
        python3-dev \
        libxml2-dev \
        libxslt-dev \
    && \
    pip3 install --no-cache-dir \
        six \
        edfrd \
        pyxnat \
    && \
    apk del build-base python3-dev libxml2-dev libxslt-dev

ADD edf2xnat /usr/bin/edf2xnat

LABEL org.nrg.commands="[{\"name\": \"edf2xnat\", \"label\": \"edf2xnat\", \"description\": \"Populate biosignals:edfScanData metadata\", \"version\": \"1.5\", \"schema-version\": \"1.0\", \"image\": \"somnonetz/edf2xnat:latest\", \"type\": \"docker\", \"command-line\": \"edf2xnat --project #PROJECT# --subject #SUBJECT# --session #SESSION# --scan #SCAN#\", \"override-entrypoint\": true, \"mounts\": [], \"environment-variables\": {}, \"ports\": {}, \"inputs\": [{\"name\": \"project\", \"description\": \"Input project\", \"type\": \"string\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": \"#PROJECT#\", \"sensitive\": null, \"command-line-flag\": null, \"command-line-separator\": null, \"true-value\": null, \"false-value\": null}, {\"name\": \"subject\", \"description\": \"Input subject\", \"type\": \"string\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": \"#SUBJECT#\", \"sensitive\": null, \"command-line-flag\": null, \"command-line-separator\": null, \"true-value\": null, \"false-value\": null}, {\"name\": \"session\", \"description\": \"Input session\", \"type\": \"string\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": \"#SESSION#\", \"sensitive\": null, \"command-line-flag\": null, \"command-line-separator\": null, \"true-value\": null, \"false-value\": null}, {\"name\": \"scan\", \"description\": \"Input scan\", \"type\": \"string\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": \"#SCAN#\", \"sensitive\": null, \"command-line-flag\": null, \"command-line-separator\": null, \"true-value\": null, \"false-value\": null}], \"outputs\": [], \"xnat\": [{\"name\": \"edf2xnat\", \"label\": \"edf2xnat\", \"description\": \"Populate biosignals:edfScanData metadata\", \"contexts\": [\"biosignals:edfScanData\"], \"external-inputs\": [{\"name\": \"scan\", \"description\": \"Input scan\", \"type\": \"Scan\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": null, \"sensitive\": null, \"provides-value-for-command-input\": null, \"provides-files-for-command-mount\": null, \"via-setup-command\": null, \"user-settable\": null, \"load-children\": false}], \"derived-inputs\": [{\"name\": \"session\", \"description\": null, \"type\": \"Session\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": null, \"sensitive\": null, \"provides-value-for-command-input\": \"session\", \"provides-files-for-command-mount\": null, \"user-settable\": null, \"load-children\": false, \"derived-from-wrapper-input\": \"scan\", \"derived-from-xnat-object-property\": null, \"via-setup-command\": null}, {\"name\": \"project-id\", \"description\": null, \"type\": \"string\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": null, \"sensitive\": null, \"provides-value-for-command-input\": \"project\", \"provides-files-for-command-mount\": null, \"user-settable\": false, \"load-children\": false, \"derived-from-wrapper-input\": \"session\", \"derived-from-xnat-object-property\": \"project-id\", \"via-setup-command\": null}, {\"name\": \"subject-id\", \"description\": null, \"type\": \"string\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": null, \"sensitive\": null, \"provides-value-for-command-input\": \"subject\", \"provides-files-for-command-mount\": null, \"user-settable\": false, \"load-children\": false, \"derived-from-wrapper-input\": \"session\", \"derived-from-xnat-object-property\": \"subject-id\", \"via-setup-command\": null}, {\"name\": \"session-id\", \"description\": null, \"type\": \"string\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": null, \"sensitive\": null, \"provides-value-for-command-input\": \"session\", \"provides-files-for-command-mount\": null, \"user-settable\": false, \"load-children\": false, \"derived-from-wrapper-input\": \"session\", \"derived-from-xnat-object-property\": \"id\", \"via-setup-command\": null}, {\"name\": \"scan-id\", \"description\": null, \"type\": \"string\", \"matcher\": null, \"default-value\": null, \"required\": true, \"replacement-key\": null, \"sensitive\": null, \"provides-value-for-command-input\": \"scan\", \"provides-files-for-command-mount\": null, \"user-settable\": false, \"load-children\": false, \"derived-from-wrapper-input\": \"scan\", \"derived-from-xnat-object-property\": \"id\", \"via-setup-command\": null}], \"output-handlers\": []}], \"container-labels\": {}}]"
